Description

History

#1 - 02/26/2013 06:00 PM - Constantin Asofiei

unreachable code is removed and with it defined vars. following conversion fails:

return.

define variable l1 as logical.

procedure proc0:

   if l1 then run bar.p.

end.

#2 - 02/26/2013 06:37 PM - Constantin Asofiei

I think the solution is to not remove vars/buffers/etc marked as unreachable if there are reachable nodes with a refid annotation for them. I'll take a

look at it and let you know what I find.

#3 - 02/26/2013 07:00 PM - Constantin Asofiei

- File ca_upd20130226e.zip added

This code fixes this testcase, I will test the server file and regression conversion testing.

#4 - 02/26/2013 07:02 PM - Constantin Asofiei

- File deleted (ca_upd20130226e.zip)

#5 - 02/26/2013 07:02 PM - Constantin Asofiei

- File ca_upd20130226f.zip added

renamed to not conflict...

#6 - 02/26/2013 08:09 PM - Constantin Asofiei
I've checked converted sources, there is some resurrected dead-code in MAJIC that should not affect runtime; MAJIC did compile. I'll check tomorrow

how I can fix this.

#7 - 02/27/2013 06:11 AM - Constantin Asofiei

- File ca_upd20130227a.zip added

My reachable processing was too aggressive, I'm putting this into conversion regression testing.

#8 - 02/27/2013 06:28 AM - Constantin Asofiei

- File ca_upd20130227a.zip added

I'm reposting cause I had a left behind printfln.

#9 - 02/27/2013 06:28 AM - Constantin Asofiei

- File deleted (ca_upd20130227a.zip)

#10 - 02/27/2013 08:00 AM - Constantin Asofiei

- Status changed from WIP to Review

- % Done changed from 0 to 100

This has passed conversion regression testing on MAJIC, no resurfaced dead-code.

Committed to bzr revision 10218.

#11 - 02/27/2013 09:09 AM - Greg Shah

- Status changed from Review to Closed

Everything looks good here, except the copyright dates in the new ruleset.  You can check in a fix without any further testing since it is just a comment

change.

#12 - 02/27/2013 10:35 AM - Constantin Asofiei

Greg Shah wrote:

Everything looks good here, except the copyright dates in the new ruleset.  You can check in a fix without any further testing since it is just a

comment change.

 

The copyright date is fixed in revision 10219.

#13 - 11/16/2016 10:57 AM - Greg Shah

- Target version changed from Milestone 4 to Conversion Support for Server Features

Files

ca_upd20130226f.zip 8.63 KB 02/27/2013 Constantin Asofiei
ca_upd20130227a.zip 8.63 KB 02/27/2013 Constantin Asofiei
